> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject a transfer



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/transfers/{id}/reject
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/transfers/{id}/reject:
    post:
      tags:
        - Transfers
      summary: Reject a transfer
      operationId: postV1TransfersByIdReject
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: integer
          description: ID numérico da transferência
      responses:
        '200':
          description: Transfer rejected
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Transfer rejected
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: validation error
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````